Skip to main content
`Ctrl`+`K`

# PetscLayoutGetRange

gets the range of values owned by this process

## Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutGetRange(PetscLayout map, PetscInt *rstart, PetscInt *rend)

Not Collective

## Input Parameter

- map - pointer to the map

## Output Parameters

- rstart - first index owned by this process

- rend - one more than the last index owned by this process

## Note

Call this after the call to `PetscLayoutSetUp()`

## See Also

PetscLayout, `PetscLayoutCreate()`, `PetscLayoutSetLocalSize()`, `PetscLayoutGetLocalSize()`, `PetscLayoutSetSize()`, `PetscLayoutGetSize()`, `PetscLayoutGetRanges()`, `PetscLayoutSetBlockSize()`, `PetscLayoutSetUp()`

## Level

developer

## Location

src/vec/is/utils/pmap.c

## Examples

src/ksp/ksp/tutorials/ex85.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages